digiKam Developer Documentation: Digikam::AbstractMarkerTiler Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Signals | Public Member Functions | List of all members
Digikam::AbstractMarkerTiler Class Referenceabstract
Inheritance diagram for Digikam::AbstractMarkerTiler:

## Classes
class | ClickInfo
class | NonEmptyIterator
class | Tile

## Public Types
enum | TilerFlag { FlagNull = 0 , FlagMovable = 1 }
typedef QFlags< TilerFlag > | TilerFlags

## Signals
void | signalThumbnailAvailableForIndex (const QVariant &index, const QPixmap &pixmap)
void | signalTilesOrSelectionChanged ()

## Public Member Functions
| AbstractMarkerTiler (QObject *const parent=nullptr)
virtual QVariant | bestRepresentativeIndexFromList (const QList< QVariant > &indices, const int sortKey)=0
virtual GeoGroupState | getGlobalGroupState ()=0
virtual Tile * | getTile (const TileIndex &tileIndex, const bool stopIfEmpty)=0
virtual GeoGroupState | getTileGroupState (const TileIndex &tileIndex)=0
virtual int | getTileMarkerCount (const TileIndex &tileIndex)=0
virtual QVariant | getTileRepresentativeMarker (const TileIndex &tileIndex, const int sortKey)=0
| These should be implemented for thumbnail handling.
virtual int | getTileSelectedCount (const TileIndex &tileIndex)=0
bool | indicesEqual (const QIntList &a, const QIntList &b, const int upToLevel) const
virtual bool | indicesEqual (const QVariant &a, const QVariant &b) const =0
bool | isDirty () const
virtual void | onIndicesClicked (const ClickInfo &clickInfo)
| These can be implemented if you want to react to actions in geolocation interface.
virtual void | onIndicesMoved (const TileIndex::List &tileIndicesList, const GeoCoordinates &targetCoordinates, const QPersistentModelIndex &targetSnapIndex)
virtual QPixmap | pixmapFromRepresentativeIndex (const QVariant &index, const QSize &size)=0
virtual void | prepareTiles (const GeoCoordinates &upperLeft, const GeoCoordinates &lowerRight, int level)=0
virtual void | regenerateTiles ()=0
void | resetRootTile ()
Tile * | rootTile ()
virtual void | setActive (const bool state)=0
void | setDirty (const bool state=true)
virtual Tile * | tileNew ()=0
virtual TilerFlags | tilerFlags () const
| These have to be implemented.

## Member Function Documentation

## ◆ bestRepresentativeIndexFromList()

virtual QVariant Digikam::AbstractMarkerTiler::bestRepresentativeIndexFromList | ( | const QList< QVariant > & | indices,
|  | const int | sortKey
| ) |  |
| pure virtual

Implemented in Digikam::GPSMarkerTiler.

## ◆ getTile()

virtual Tile * Digikam::AbstractMarkerTiler::getTile | ( | const TileIndex & | tileIndex,
|  | const bool | stopIfEmpty
| ) |  |
| pure virtual

Implemented in Digikam::GPSMarkerTiler.

## ◆ getTileGroupState()

virtual GeoGroupState Digikam::AbstractMarkerTiler::getTileGroupState | ( | const TileIndex & | tileIndex | ) |
| pure virtual

Implemented in Digikam::GPSMarkerTiler.

## ◆ getTileRepresentativeMarker()

virtual QVariant Digikam::AbstractMarkerTiler::getTileRepresentativeMarker | ( | const TileIndex & | tileIndex,
|  | const int | sortKey
| ) |  |
| pure virtual

Implemented in Digikam::ItemMarkerTiler, and Digikam::GPSMarkerTiler.

## ◆ indicesEqual()

virtual bool Digikam::AbstractMarkerTiler::indicesEqual | ( | const QVariant & | a,
|  | const QVariant & | b
| ) |  | const
| pure virtual

Implemented in Digikam::GPSMarkerTiler.

## ◆ onIndicesClicked()

void Digikam::AbstractMarkerTiler::onIndicesClicked | ( | const ClickInfo & | clickInfo | ) |
| virtual

Reimplemented in Digikam::ItemMarkerTiler, and Digikam::GPSMarkerTiler.

## ◆ pixmapFromRepresentativeIndex()

virtual QPixmap Digikam::AbstractMarkerTiler::pixmapFromRepresentativeIndex | ( | const QVariant & | index,
|  | const QSize & | size
| ) |  |
| pure virtual

Implemented in Digikam::GPSMarkerTiler.

## ◆ prepareTiles()

virtual void Digikam::AbstractMarkerTiler::prepareTiles | ( | const GeoCoordinates & | upperLeft,
|  | const GeoCoordinates & | lowerRight,
|  | int | level
| ) |  |
| pure virtual

Implemented in Digikam::GPSMarkerTiler.

## ◆ setActive()

virtual void Digikam::AbstractMarkerTiler::setActive | ( | const bool | state | ) |
| pure virtual

Implemented in Digikam::GPSMarkerTiler.

## ◆ tilerFlags()

AbstractMarkerTiler::TilerFlags Digikam::AbstractMarkerTiler::tilerFlags | ( |  | ) | const
| virtual

Reimplemented in Digikam::ItemMarkerTiler.